## ros-rolling-depthimage-to-laserscan 2.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(depthimage_to_laserscan)
include(GenerateExportHeader)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake_ros REQUIRED)

find_package(image_geometry REQUIRED)
find_package(OpenCV REQUIRED COMPONENTS core)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(sensor_msgs REQUIRED)

add_library(DepthImageToLaserScan
  src/DepthImageToLaserScan.cpp
)
target_link_libraries(DepthImageToLaserScan PUBLIC
  image_geometry::image_geometry
  opencv_core
  ${sensor_msgs_TARGETS})

generate_export_header(DepthImageToLaserScan EXPORT_FILE_NAME ${PROJECT_NAME}/DepthImageToLaserScan_export.h)
target_include_directories(DepthImageToLaserScan PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>"
)

add_library(DepthImageToLaserScanROS
  src/DepthImageToLaserScanROS.cpp
)
target_link_libraries(DepthImageToLaserScanROS PUBLIC
  rclcpp::rclcpp)
target_link_libraries(DepthImageToLaserScanROS PRIVATE
  rclcpp_components::component)

target_link_libraries(DepthImageToLaserScanROS PUBLIC
  DepthImageToLaserScan)
generate_export_header(DepthImageToLaserScanROS EXPORT_FILE_NAME ${PROJECT_NAME}/DepthImageToLaserScanROS_export.h)

rclcpp_components_register_nodes(DepthImageToLaserScanROS
  "depthimage_to_laserscan::DepthImageToLaserScanROS")

add_executable(depthimage_to_laserscan_node
  src/depthimage_to_laserscan.cpp
)
target_link_libraries(depthimage_to_laserscan_node
  DepthImageToLaserScan
  DepthImageToLaserScanROS
)

install(DIRECTORY include/ DESTINATION include/${PROJECT_NAME})

install(DIRECTORY
  launch
  cfg
  DESTINATION share/${PROJECT_NAME}/
)

install(TARGETS DepthImageToLaserScan DepthImageToLaserScanROS
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(TARGETS depthimage_to_laserscan_node
  DESTINATION lib/${PROJECT_NAME}
)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}/DepthImageToLaserScan_export.h
  ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}/DepthImageToLaserScanROS_export.h
  DESTINATION include/${PROJECT_NAME}/${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)

  ament_add_gtest(${PROJECT_NAME}-test test/DepthImageToLaserScanTest.cpp)
  target_link_libraries(${PROJECT_NAME}-test DepthImageToLaserScan)
endif()

# TODO(sloretz) stop exporting old-style CMake variables in the future
ament_export_include_directories("include/${PROJECT_NAME}")
ament_export_libraries(DepthImageToLaserScan DepthImageToLaserScanROS)

ament_export_targets(export_${PROJECT_NAME})
ament_export_dependencies(rclcpp)
ament_export_dependencies(image_geometry)
ament_export_dependencies(OpenCV)
ament_export_dependencies(sensor_msgs)
ament_package()

=== debian/changelog ===
ros-rolling-depthimage-to-laserscan (2.5.0-1focal) focal; urgency=high

  * Install includes to ${PROJECT_NAME} folder and use modern CMake (#58 <https://github.com/ros-perception/depthimage_to_laserscan/issues/58>)
  * Fix the launch files to work with Rolling. (#59 <https://github.com/ros-perception/depthimage_to_laserscan/issues/59>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Sat, 22 Jan 2022 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (2.3.1-1focal) focal; urgency=high

  * Cleanup the CMakeLists.txt (#51 <https://github.com/ros-perception/depthimage_to_laserscan/issues/51>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 08 Apr 2021 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (2.3.0-1focal) focal; urgency=high

  * Make DepthImageToLaserScan more RAII.
  * Fixes pointed out by clang-tidy.
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 28 May 2020 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (2.2.5-1focal) focal; urgency=high

  * Update the README.md to describe the topics and parameters.
  * Add in a launch file for composable node.
  * Rename launch file to conform to recommendations.
  * Remove unnecessary Depth.cfg.
  * Make depthimage_to_laserscan composable.
  * Rename header files to .hpp
  * Style cleanup.
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (2.2.4-1focal) focal; urgency=high

  * Export interfaces for Win32 Shared Lib (#44 <https://github.com/ros-perception/depthimage_to_laserscan/issues/44>)
  * Contributors: Sean Yen

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (2.2.2-1focal) focal; urgency=high

  * update code to be consist with new ros2 core (#42 <https://github.com/ros-perception/depthimage_to_laserscan/issues/42>)
  * Contributors: Gary Liu

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 27 Sep 2019 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (2.2.1-1focal) focal; urgency=high

  * Port depthimage_to_laserscan to ROS2.
  * Import ROS2 changes from https://github.com/ros2/depthimage_to_laserscan.git to upstream
  * Contributors: Chad Rockey, Chris Lalancette, Mikael Arguedas, Shane Loretz, dhood

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 29 Mar 2019 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (1.0.8-1focal) focal; urgency=high

  * Merge pull request #27 <https://github.com/ros-perception/depthimage_to_laserscan/issues/27> from ros-perception/mikaelarguedas-patch-1
    update to use non deprecated pluginlib macro
  * update to use non deprecated pluginlib macro
  * Contributors: Chad Rockey, Mikael Arguedas

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 07 Feb 2019 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (1.0.7-1focal) focal; urgency=high

  * Merge pull request #11 <https://github.com/ros-perception/depthimage_to_laserscan/issues/11> from ros-perception/hydro-devel
    Update indigo devel with angle fix
  * Merge pull request #8 <https://github.com/ros-perception/depthimage_to_laserscan/issues/8> from vliedel/hydro-devel
    fixed angle_increment
  * fixed angle_increment
  * Merge pull request #7 <https://github.com/ros-perception/depthimage_to_laserscan/issues/7> from bulwahn/hydro-devel
    check for CATKIN_ENABLE_TESTING
  * check for CATKIN_ENABLE_TESTING
  * Added ARCHIVE DESTINATION
  * Contributors: Chad Rockey, Lukas Bulwahn, vliedel

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 16 Jun 2014 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (1.0.6-1focal) focal; urgency=high

  * Removed y component from projected beam radius.

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 31 Oct 2013 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (1.0.5-1focal) focal; urgency=high

  * No more Willow Garage email.
  * Merge pull request #4 <https://github.com/ros-perception/depthimage_to_laserscan/issues/4> from ericperko/groovy-devel
    Cleaned up CMakeLists a bit
  * Cleaned up CMakeLists a bit

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 21 Aug 2013 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (1.0.4-1focal) focal; urgency=high

  * Update version to 1.0.4
  * Merge pull request #3 <https://github.com/ros-perception/depthimage_to_laserscan/issues/3> from ahendrix/fix_testdeps
    Fix testdeps
  * Removed redundant test-depends.
  * Remove old makefile.

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 22 Jan 2013 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (1.0.3-1focal) focal; urgency=high

  * fix exported libraries (fix #2 <https://github.com/ros-perception/depthimage_to_laserscan/issues/2>)

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 23 Dec 2012 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (1.0.2-1focal) focal; urgency=high

  * fix dyn reconf
  * Updated description.
  * Updated readme to link to wiki.

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 19 Dec 2012 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (1.0.1-1focal) focal; urgency=high

  * Update package.xml
    New release for missing catkin build_depend.
  * Merge pull request #1 <https://github.com/ros-perception/depthimage_to_laserscan/issues/1> from ablasdel/groovy-devel
    updated catkin buildtool_depend
  * updated catkin buildtool_depend

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 14 Dec 2012 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (1.0.0-1focal) focal; urgency=high

  * Cleanup of the CMakeLists.txt
  * First attempt at Catkinizing.
  * Pushing fuerte-devel to github.
  * Initial commit

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 05 Dec 2012 00:00:00 -0000

=== debian/control ===
Source: ros-rolling-depthimage-to-laserscan
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-rolling-ament-cmake-gtest, ros-rolling-ament-cmake-ros, ros-rolling-image-geometry, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Homepage: http://ros.org/wiki/depthimage_to_laserscan
Standards-Version: 3.9.2

Package: ros-rolling-depthimage-to-laserscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, ros-rolling-image-geometry, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Description: depthimage_to_laserscan

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-depthimage-to-laserscan//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-depthimage-to-laserscan 2.5.1

=== debian/changelog ===
ros-rolling-depthimage-to-laserscan (2.5.1-1jammy) jammy; urgency=high

  * fix node name (#71 <https://github.com/ros-perception/depthimage_to_laserscan/issues/71>)
  * Update the code to use a non-deprecated header. (#72 <https://github.com/ros-perception/depthimage_to_laserscan/issues/72>)
  * Fix the style throughout the codebase to conform to ROS 2 style. (#63 <https://github.com/ros-perception/depthimage_to_laserscan/issues/63>)
  * Contributors: Chris Lalancette, Josef

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 19 Jul 2023 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (2.5.0-1jammy) jammy; urgency=high

  * Install includes to ${PROJECT_NAME} folder and use modern CMake (#58 <https://github.com/ros-perception/depthimage_to_laserscan/issues/58>)
  * Fix the launch files to work with Rolling. (#59 <https://github.com/ros-perception/depthimage_to_laserscan/issues/59>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Sat, 22 Jan 2022 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (2.3.1-1jammy) jammy; urgency=high

  * Cleanup the CMakeLists.txt (#51 <https://github.com/ros-perception/depthimage_to_laserscan/issues/51>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 08 Apr 2021 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (2.3.0-1jammy) jammy; urgency=high

  * Make DepthImageToLaserScan more RAII.
  * Fixes pointed out by clang-tidy.
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 28 May 2020 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (2.2.5-1jammy) jammy; urgency=high

  * Update the README.md to describe the topics and parameters.
  * Add in a launch file for composable node.
  * Rename launch file to conform to recommendations.
  * Remove unnecessary Depth.cfg.
  * Make depthimage_to_laserscan composable.
  * Rename header files to .hpp
  * Style cleanup.
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (2.2.4-1jammy) jammy; urgency=high

  * Export interfaces for Win32 Shared Lib (#44 <https://github.com/ros-perception/depthimage_to_laserscan/issues/44>)
  * Contributors: Sean Yen

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (2.2.2-1jammy) jammy; urgency=high

  * update code to be consist with new ros2 core (#42 <https://github.com/ros-perception/depthimage_to_laserscan/issues/42>)
  * Contributors: Gary Liu

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 27 Sep 2019 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (2.2.1-1jammy) jammy; urgency=high

  * Port depthimage_to_laserscan to ROS2.
  * Import ROS2 changes from https://github.com/ros2/depthimage_to_laserscan.git to upstream
  * Contributors: Chad Rockey, Chris Lalancette, Mikael Arguedas, Shane Loretz, dhood

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 29 Mar 2019 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (1.0.8-1jammy) jammy; urgency=high

  * Merge pull request #27 <https://github.com/ros-perception/depthimage_to_laserscan/issues/27> from ros-perception/mikaelarguedas-patch-1
    update to use non deprecated pluginlib macro
  * update to use non deprecated pluginlib macro
  * Contributors: Chad Rockey, Mikael Arguedas

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 07 Feb 2019 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (1.0.7-1jammy) jammy; urgency=high

  * Merge pull request #11 <https://github.com/ros-perception/depthimage_to_laserscan/issues/11> from ros-perception/hydro-devel
    Update indigo devel with angle fix
  * Merge pull request #8 <https://github.com/ros-perception/depthimage_to_laserscan/issues/8> from vliedel/hydro-devel
    fixed angle_increment
  * fixed angle_increment
  * Merge pull request #7 <https://github.com/ros-perception/depthimage_to_laserscan/issues/7> from bulwahn/hydro-devel
    check for CATKIN_ENABLE_TESTING
  * check for CATKIN_ENABLE_TESTING
  * Added ARCHIVE DESTINATION
  * Contributors: Chad Rockey, Lukas Bulwahn, vliedel

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 16 Jun 2014 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (1.0.6-1jammy) jammy; urgency=high

  * Removed y component from projected beam radius.

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 31 Oct 2013 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (1.0.5-1jammy) jammy; urgency=high

  * No more Willow Garage email.
  * Merge pull request #4 <https://github.com/ros-perception/depthimage_to_laserscan/issues/4> from ericperko/groovy-devel
    Cleaned up CMakeLists a bit
  * Cleaned up CMakeLists a bit

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 21 Aug 2013 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (1.0.4-1jammy) jammy; urgency=high

  * Update version to 1.0.4
  * Merge pull request #3 <https://github.com/ros-perception/depthimage_to_laserscan/issues/3> from ahendrix/fix_testdeps
    Fix testdeps
  * Removed redundant test-depends.
  * Remove old makefile.

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 22 Jan 2013 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (1.0.3-1jammy) jammy; urgency=high

  * fix exported libraries (fix #2 <https://github.com/ros-perception/depthimage_to_laserscan/issues/2>)

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 23 Dec 2012 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (1.0.2-1jammy) jammy; urgency=high

  * fix dyn reconf
  * Updated description.
  * Updated readme to link to wiki.

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 19 Dec 2012 00:00:00 -0000

ros-rolling-depthimage-to-laserscan (1.0.1-1jammy) jammy; urgency=high

  * Update package.xml
    New release for missing catkin build_depend.


=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Chris Lalancette <clalancette@openrobotics.org>
-Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-rolling-ament-cmake-gtest, ros-rolling-ament-cmake-ros, ros-rolling-image-geometry, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
+Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-image-geometry, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
 Homepage: http://ros.org/wiki/depthimage_to_laserscan
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
